unit BIOLIFE;
interface

  procedure CreateBIOLIFE;

implementation
uses DB, DBTables;

  procedure CreateBIOLIFE;
  begin
    with TTable.Create(nil) do
    try
      Active := False;
      TableType := ttParadox;
      TableName := 'BIOLIFE.DB';
      with FieldDefs do
      begin
        Clear;
        Add('Species No', ftFloat, 0, FALSE);
        Add('Category', ftString, 15, FALSE);
        Add('Common_Name', ftString, 30, FALSE);
        Add('Species Name', ftString, 40, FALSE);
        Add('Length (cm)', ftFloat, 0, FALSE);
        Add('Length_In', ftFloat, 0, FALSE);
        Add('Notes', ftMemo, 50, FALSE);
        Add('Graphic', ftGraphic, 0, FALSE);
      end;
      with IndexDefs do
      begin
        Clear;
        Add('', 'Species No', [ ixPrimary,ixUnique]);
      end;
      CreateTable
    finally
      Free
    end
  end {CreateBIOLIFE};

end.
